PluginAppletSecurityContext (IcedTea-Web: Plugin )
Keywords: sun.applet.PluginAppletSecurityContext class
Date: 2021-05-10

sun.applet

## Class PluginAppletSecurityContext

- java.lang.Object
- - sun.applet.PluginAppletSecurityContext

-     public class PluginAppletSecurityContext
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginAppletSecurityContext(int identifier)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `associateInstance(java.lang.Integer i, java.lang.ClassLoader cl)`
    `void` | `associateSrc(java.lang.ClassLoader cl, java.net.URL src)`
    `void` | `checkPermission(java.lang.String jsSrc, java.lang.Class<?> target, java.security.AccessControlContext acc)` Checks if the calling script is allowed to access the specified class
    `void` | `dumpStore()`
    `java.security.AccessControlContext` | `getAccessControlContext(java.lang.String[] nsPrivilegeList, java.lang.String src)`
    `java.security.AccessControlContext` | `getClosedAccessControlContext()`
    `int` | `getIdentifier(java.lang.Object o)`
    `static java.util.Map<java.lang.String,java.lang.String>` | `getLoaderInfo()`
    `java.lang.Object` | `getObject(int identifier)`
    `static PluginStreamHandler` | `getStreamhandler()`
    `void` | `handleMessage(int reference, java.lang.String src, java.security.AccessControlContext callContext, java.lang.String message)`
    `void` | `prePopulateLCClasses()`
    `static void` | `setStreamhandler(PluginStreamHandler sh)`
    `void` | `store(java.lang.Object o)`
    `java.lang.String` | `toObjectIDString(java.lang.Object obj, java.lang.Class<?> type, boolean unboxPrimitives)` Create a string that identifies a Java object precisely, for passing to Javascript.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginAppletSecurityContext

          public PluginAppletSecurityContext(int identifier)

  - ### Method Detail

    - #### associateSrc

          public void associateSrc(java.lang.ClassLoader cl,
                                   java.net.URL src)

    - #### associateInstance

          public void associateInstance(java.lang.Integer i,
                                        java.lang.ClassLoader cl)

    - #### setStreamhandler

          public static void setStreamhandler(PluginStreamHandler sh)

    - #### getStreamhandler

          public static PluginStreamHandler getStreamhandler()

    - #### getLoaderInfo

          public static java.util.Map<java.lang.String,java.lang.String> getLoaderInfo()

    - #### toObjectIDString

          public java.lang.String toObjectIDString(java.lang.Object obj,
                                                   java.lang.Class<?> type,
                                                   boolean unboxPrimitives)

      Create a string that identifies a Java object precisely, for passing to Javascript. For builtin value types, a 'literalreturn' prefix is used and the object is passed with a string representation. For JSObject's, a 'jsobject' prefix is used and the object is passed with the JSObject's internal identifier. For other Java objects, an object store reference is used.
      Parameters:
        `obj` - the object for which to create an identifier
        `type` - the type to use for representation decisions
        `unboxPrimitives` - whether to treat boxed primitives as value types
      Returns:
        an identifier string

    - #### handleMessage

          public void handleMessage(int reference,
                                    java.lang.String src,
                                    java.security.AccessControlContext callContext,
                                    java.lang.String message)

    - #### checkPermission

          public void checkPermission(java.lang.String jsSrc,
                                      java.lang.Class<?> target,
                                      java.security.AccessControlContext acc)
                               throws java.security.AccessControlException

      Checks if the calling script is allowed to access the specified class
      Parameters:
        `jsSrc` - The source of the script
        `target` - The target class that the script is trying to access
        `acc` - AccessControlContext for this execution
      Throws:
        `java.security.AccessControlException` - If the script has insufficient permissions

    - #### prePopulateLCClasses

          public void prePopulateLCClasses()

    - #### dumpStore

          public void dumpStore()

    - #### getObject

          public java.lang.Object getObject(int identifier)

    - #### getIdentifier

          public int getIdentifier(java.lang.Object o)

    - #### store

          public void store(java.lang.Object o)

    - #### getClosedAccessControlContext

          public java.security.AccessControlContext getClosedAccessControlContext()

      Returns:
        a "closed" AccessControlContext i.e. no permissions to get out of sandbox.

    - #### getAccessControlContext

          public java.security.AccessControlContext getAccessControlContext(java.lang.String[] nsPrivilegeList,
                                                                            java.lang.String src)

Submit a bug or feature